@component('panel.layouts.component', ['title' => 'ثبت محصول جدید'])

    @slot('style')

    @endslot
    @slot('subject')
        <h1><i class="fa fa-users"></i> ثبت محصول جدید </h1>
        <p>ثبت محصول جدید در فروشگاه.</p>
    @endslot
    @slot('breadcrumb')
        <li class="breadcrumb-item">محصولات</li>
    @endslot

    @slot('content')
        <div class="auth-background h-auto py-5">
            <div class="container py-5">
                <div class="row align-items-center ">
                    <div class="col-lg-12 col-md-12 mx-auto">
                        <div class="card">
                            <div class="card-header">
                                <strong>{{ __('ثبت محصول ساده') }}</strong>&nbsp;<i class="required">{{$product->id}}</i>
                            </div>
                            @component('product::components.message')
                            @endcomponent
                            <div class="card-body mx-lg-5 px-lg-3">
                                <form method="POST" action="{{ route('saveProductStepThree') }}" enctype="multipart/form-data" >
                                    @csrf
                                    <div class="form-row ">
                                        <input type="hidden" value="{{$product->id}}" name="product_id">
                                    <div class="form-group col-lg-3">
                                        <label for="sku">{{ __('product.sku') }}</label>
                                        <input id="sku" type="text" class="form-control @error('sku') is-invalid @enderror" name="sku"
                                               autocomplete="sku" value="{{$product->sku}}" autofocus>
                                        @error('sku')
                                        <span class="invalid-feedback" role="alert">
                                                     <strong>{{ $message }}</strong>
                                                 </span>
                                        @enderror
                                    </div>
                                    <div class="form-group col-lg-3">
                                        <label for="status">{{ __('product.status') }}</label><i class="required">&nbsp;*</i>
                                        <select id="status" type="text" class="form-control  @error('status') is-invalid @enderror" name="status" autocomplete="status">
                                            <option value="">انتخاب کنید</option>
                                            <option value="0" {{ (old('status') == '1') ? 'selected' : '' }}>ناموجود</option>
                                            <option value="1" @if ($product->status === 'موجود')  selected='selected'@endif>موجود</option>
                                        </select>
                                        @error('status')
                                        <span class="invalid-feedback" role="alert">
                                                    <strong>{{ $message }}</strong>
                                                </span>
                                        @enderror
                                    </div>
                                        <div class="form-group col-lg-3">
                                            <label for="title">{{ __('product.price') }}</label><i class="required">&nbsp;*</i>
                                            <input id="input.price" type="text" class="form-control price @error('price') is-invalid @enderror" name="price" value="{{$product->price}}" autocomplete="price" autofocus>
                                            @error('price')
                                            <span class="invalid-feedback" role="alert">
                                                    <strong>{{ $message }}</strong>
                                                </span>
                                            @enderror
                                        </div>
                                        <div class="form-group col-lg-3">
                                            <label for="sale_price">@lang('product.sale_price')</label>
                                            <input id="sale_price" type="text" class="form-control price @error('sale_price') is-invalid @enderror" name="sale_price" value="{{$product->sale_price}}" autocomplete="sale_price" autofocus>
                                            @error('sale_price')
                                            <span class="invalid-feedback" role="alert">
                                                     <strong>{{ $message }}</strong>
                                                 </span>
                                            @enderror
                                        </div>
                                        </div>
                                    <div class="form-group mb-0">
                                        <div class="">
                                            <button type="submit" class="btn btn-primary" >
                                                {{ __('ثبت محصول') }}
                                            </button>
                                            <a href="{{ route('products.index') }}" type="button" class="btn btn-warning" > انصراف</a>
                                        </div>
                                    </div>
                                </form>
                            </div>
                            <div class="card-footer">
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    @endslot

    @slot('script')

    @endslot

@endcomponent

