@component('panel.layouts.component', ['title' => 'ثبت محصول جدید'])
    @slot('style')
    @endslot
    @slot('subject')
        <h1><i class="fa fa-users"></i> ثبت محصول متغیر </h1>
        <p>ثبت محصول متغیر در فروشگاه.</p>
    @endslot
    @slot('breadcrumb')
        <li class="breadcrumb-item"> محصولات متغیر</li>
    @endslot
    @slot('content')
        <div class="auth-background h-auto">
                @include('product::product.include.variableAttribute')
        <div class="col-lg-12 col-md-12 mx-auto">
            <div class="card">
                <div class="card-header">
                    <strong>{{ __('ثبت محصول متغییر') }}</strong>&nbsp;<i class="required">{{$product->id}}</i>
                </div>
                @component('product::components.message')
                @endcomponent
                <div class="card-body mx-lg-5 px-lg-3">
                    <form method="POST" action="{{ route('products.store',$product->id) }}" enctype="multipart/form-data" >
                        @csrf
                        <div class="form-row ">
                            <div class="form-group col-lg-7">
                                <label for="status">{{ __('product.titleVariable') }}</label><i
                                    class="required">&nbsp;*</i>
                                <select id="status" type="text"
                                        class="form-control  @error('status') is-invalid @enderror"
                                        name="status" autocomplete="status">
                                    <option value="">انتخاب کنید</option>
                                    <option value="1" {{ (old('status') == '1') ? 'selected' : '' }}>موجود
                                    </option>
                                    <option value="0" {{ (old('status') == '0') ? 'selected' : '' }}>
                                        ناموجود
                                    </option>
                                </select>
                                @error('status')
                                <span class="invalid-feedback" role="alert">
                                      <strong>{{ $message }}</strong>
                                </span>
                                @enderror
                            </div>
                            <div class="col-lg-2">
                                <button type="submit" class="btn btn-primary btn_create">
                                    {{ __('افزودن ') }}
                                </button>
                            </div>
                        </div>
                    </form>
                </div>
                <div class="card-footer">
                </div>
            </div>
        </div>
        </div>

    @endslot

    @slot('script')

    @endslot

@endcomponent

